%define name 	bibus
%define version 1.4.0
%define bibusrel 1
%define release %mkrel 1

Summary: 	Bibliographic database manager
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}-%{version}.tar.bz2
Patch0:		bibus-1.2.0-makefile.patch.bz2
Patch1:         bibus-1.2.0-fix-desktop-file.patch
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
License: 	GPL
Group: 		Publishing
Url: 		http://bibus-biblio.sourceforge.net
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  desktop-file-utils
BuildRequires:	python
Requires: 	python
Requires: 	python-sqlite2
Requires: 	wxPythonGTK

%description
Bibus is a bibliographic and reference management software. Besides besides
searching, editing and sorting bibliographic records, it features:
- Online PubMed and eTBLAST queries
- Direct reference insertion in OpenOffice.org
- File exchange capabilities with other reference managers
- Hierarchical organization of the references with user-defined keys
- Multi-user design
- Live queries (i.e. upgraded when database is modified).

%prep
%setup -q -n bibus-1.4.0rc1
#%patch0 -p1
%patch1 -p1
find Docs/ -type f -exec chmod 0644 {} \;
mv locale/zh_cn locale_CN
for file in Docs/html/en/bibMSW_files/filelist.xml \
'Docs/html/en/eTBlast Interface to Bibus.htm' \
'Docs/html/en/eTBlast Interface to Bibus_files/filelist.xml' \
Docs/html/en/bibMSW.htm;
do
	tr -d '\r' < "$file" > tmp
	mv tmp "$file"
done

%install
rm -rf $RPM_BUILD_ROOT

%make -f Setup/Makefile \
	DESTDIR=$RPM_BUILD_ROOT%{_prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
	python=%{_bindir}/python \
	oopath=%{_libdir}/ooo-2.2/program \
	install

rm -rf $RPM_BUILD_ROOT%{_docdir}/bibus
rm -f $RPM_BUILD_ROOT%{_datadir}/bibus/Setup/uninstall.sh
ln -sf %{_datadir}/bibus/bibusStart.py $RPM_BUILD_ROOT%{_bindir}/bibus
sed -e "s|$RPM_BUILD_ROOT/|/|g" $RPM_BUILD_ROOT%{_datadir}/bibus/bibus.cfg \
	> $RPM_BUILD_ROOT%{_datadir}/bibus/bibuscorr.cfg
install -m644 --backup=off $RPM_BUILD_ROOT%{_datadir}/bibus/bibuscorr.cfg \
	$RPM_BUILD_ROOT%{_datadir}/bibus/bibus.cfg
rm -f $RPM_BUILD_ROOT%{_datadir}/bibus/bibuscorr.cfg
# we use distro's iconsdir
rm -rf $RPM_BUILD_ROOT%{_iconsdir}/hicolor


# localization
%find_lang %{name}

# icons
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# Menu item, using the provide .desktop file

# fix pathnames in bibus.desktop
install -m644 --backup=off Setup/bibus.desktop -D $RPM_BUILD_ROOT%{_datadir}/applications/bibus.desktop
echo 'Exec=%{_bindir}/bibus' >> $RPM_BUILD_ROOT%{_datadir}/applications/bibus.desktop
echo 'Icon=%{_iconsdir}/%{name}.png' >> $RPM_BUILD_ROOT%{_datadir}/applications/bibus.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="X-MandrivaLinux-Office-Publishing;Office" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*



%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc Docs/html/ScreenShots Docs/html/en Docs/{CHANGELOG,copying,*.txt}
%attr(644,root,root)    %{_miconsdir}/%{name}.png
%attr(644,root,root)    %{_iconsdir}/%{name}.png
%attr(644,root,root)    %{_liconsdir}/%{name}.png
%{_mandir}/man1/%{name}.1*
%config(noreplace) %{_sysconfdir}/bibus.config
%{_bindir}/bibus
%{_datadir}/bibus
%{_datadir}/applications/bibus.desktop
%attr(755,root,root)	%{_datadir}/%{name}/Pref_Duplicates_Base.py
%attr(755,root,root)	%{_datadir}/%{name}/display_panel.py
%attr(755,root,root)	%{_datadir}/%{name}/bibus.py
%attr(755,root,root)    %{_datadir}/%{name}/Pref_Display.py 
%attr(755,root,root)    %{_datadir}/%{name}/Pref_Search.py 
%attr(755,root,root)    %{_datadir}/%{name}/FirstStart/MySQL_Setup.py 
%attr(755,root,root)    %{_datadir}/%{name}/FirstStart/FirstTimeWizard_WP.py 
%attr(755,root,root)    %{_datadir}/%{name}/FirstStart/Wizard_SQLite.py 
%attr(755,root,root)    %{_datadir}/%{name}/FirstStart/Wizard_MySQL.py 
%attr(755,root,root)    %{_datadir}/%{name}/FirstStart/FirstTimeWizard_DB.py 
%attr(755,root,root)    %{_datadir}/%{name}/CodecChoice.py 
%attr(755,root,root)	%{_datadir}/%{name}/Pref_Connection.py
%attr(755,root,root)	%{_datadir}/%{name}/Pref_DB.py


%changelog
* Mon Dec 17 2007 Neverstopdreaming <neverstopdreaming@gmail.com> 1.4.0-1pclos2007
- 1.4.0

* Sun Apr 01 2007 Texstar <texstar@gmail.com> 1.3.0-1pclos2007
- import into pclos 2007
